%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name session

%global rubyabi 1.9.1

Summary: Session drives external programs
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 3.1.0
Release: 5%{?dist}
Group: Development/Languages
License: Ruby
URL: http://github.com/ahoward/session/tree/master
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl_prefix}ruby(rubygems) 
Requires: %{?scl_prefix}ruby 
Requires: %{?scl_prefix}rubygem(fattr) 
%{?scl:Requires: %{scl}-runtime}
BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
BuildRequires: %{?scl_prefix}ruby 
BuildRequires: %{?scl_prefix}ruby-irb
BuildRequires: %{?scl_prefix}rubygems-devel
BuildRequires: %{?scl_prefix}rubygem(minitest)
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Session offers a set of classes built upon Open3::popen3 for driving
external progams via pipes.  It offers a significant abstraction over
Open3::popen in that the stdout/stderr of each command sent can be 
deliniated

%package doc
Summary: Documentation for %{pkg_name}
Group: Documentation
Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{pkg_name}

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --force %{SOURCE0}
%{?scl:"}

# Adjusting permissions
chmod 0664 .%{gem_libdir}/session.rb

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

# Remove the binary extension sources and build leftovers.
rm -rf %{buildroot}%{gem_instdir}/.yardoc
rm  %{buildroot}%{gem_instdir}/Rakefile
rm  %{buildroot}%{gem_instdir}/gemspec.rb
rm  %{buildroot}%{gem_instdir}/session.gemspec

%check
cd %{buildroot}%{gem_instdir}
%{?scl:scl enable %{scl} - << \EOF}
RUBYOPT="-Ilib -Itest" testrb test/session.rb
%{?scl:EOF}

%files
%dir %{gem_instdir}
%{gem_libdir}
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README
%{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/sample
%doc %{gem_instdir}/test

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Feb 12 2012 Guillermo Gómez <guillermo.gomez@gmail.com> - 3.1.0-3
- irb added as build require

* Mon Feb 06 2012 Vít Ondruch <vondruch@redhat.com> - 3.1.0-2
- Rebuilt for Ruby 1.9.3.

* Sun Jan 22 2012 Guillermo Gómez <guillermo.gomez@gmail.com> - 3.1.0-1
- Initial package
